[package]
name = "obikindex"
version = "0.1.0"
edition = "2024"

[dependencies]
obikseq          = { path = "../obikseq" }
obikpartitionner = { path = "../obikpartitionner" }
obiskio          = { path = "../obiskio" }
obisys           = { path = "../obisys" }
obicompactvec    = { path = "../obicompactvec" }
obilayeredmap    = { path = "../obilayeredmap" }
ndarray          = "0.16"
rayon             = "1"
crossbeam-channel = "0.5"
serde            = { version = "1", features = ["derive"] }
serde_json       = "1"
indicatif        = "0.17"
tracing          = "0.1.44"
hwlocality       = { version = "1.0.0-alpha.11", features = ["vendored"], optional = true }

[features]
default = ["numa"]
numa    = ["hwlocality"]
